Subject: Re: one more... iproute commands lockup whole system

From: jamal <[email-masked]>
Date: Tue, 03 Apr 2007 22:09:36 -0400

On Wed, 2007-04-04 at 03:39 +0200, Patrick McHardy wrote:

> Are you refering to "What NOT to do if you dont want your machine to
> crash:"? 

yes.

> I think we should make sure users can't even accidentally
> crash their box, so this should at least be caught at runtime.

It is hard to do without penalizing the common use. Hence
the documentation. 
Sometimes - that is the most sane thing to do. 

>I thought the TTL stuff was intended to avoid this ..

The problem is recursive dev queue locking of the same device.  
TTL is not very helpful there.

I dont want to rehash all those discussions we already had; so if you
have a clever way to fix this (without affecting performance of a sane
user), please send a patch and lets discuss.

cheers,
jamal